## trafikanten 1.0.3-0

=== Makefile ===
#############################################################################
# Makefile for building: trafikanten
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jun 9 15:57:20 2010
# Project:  trafikanten.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile trafikanten.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtXml -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		trafikantenwindow.cpp \
		searchwindow.cpp \
		departureswindow.cpp \
		routesearchwindow.cpp \
		aboutdialog.cpp moc_trafikantenwindow.cpp \
		moc_searchwindow.cpp \
		moc_departureswindow.cpp \
		moc_routesearchwindow.cpp \
		moc_aboutdialog.cpp \
		qrc_trafikanten.cpp
OBJECTS       = main.o \
		trafikantenwindow.o \
		searchwindow.o \
		departureswindow.o \
		routesearchwindow.o \
		aboutdialog.o \
		moc_trafikantenwindow.o \
		moc_searchwindow.o \
		moc_departureswindow.o \
		moc_routesearchwindow.o \
		moc_aboutdialog.o \
		qrc_trafikanten.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		trafikanten.pro
QMAKE_TARGET  = trafikanten
DESTDIR       = 
TARGET        = trafikanten

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_trafikantenwindow.h ui_searchwindow.h ui_departureswindow.h ui_routesearchwindow.h ui_aboutdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: trafikanten.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile trafikanten.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile trafikanten.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/trafikanten1.0.0 || $(MKDIR) .tmp/trafikanten1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/trafikanten1.0.0/ && $(COPY_FILE) --parents trafikantenwindow.h searchwindow.h departureswindow.h routesearchwindow.h common.h aboutdialog.h .tmp/trafikanten1.0.0/ && $(COPY_FILE) --parents trafikanten.qrc .tmp/trafikanten1.0.0/ && $(COPY_FILE) --parents main.cpp trafikantenwindow.cpp searchwindow.cpp departureswindow.cpp routesearchwindow.cpp aboutdialog.cpp .tmp/trafikanten1.0.0/ && $(COPY_FILE) --parents trafikantenwindow.ui searchwindow.ui departureswindow.ui routesearchwindow.ui aboutdialog.ui .tmp/trafikanten1.0.0/ && $(COPY_FILE) --parents trafikanten_nb_NO.ts .tmp/trafikanten1.0.0/ && (cd `dirname .tmp/trafikanten1.0.0` && $(TAR) trafikanten1.0.0.tar trafikanten1.0.0 && $(COMPRESS) trafikanten1.0.0.tar) && $(MOVE) `dirname .tmp/trafikanten1.0.0`/trafikanten1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/trafikanten1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_trafikantenwindow.cpp moc_searchwindow.cpp moc_departureswindow.cpp moc_routesearchwindow.cpp moc_aboutdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_trafikantenwindow.cpp moc_searchwindow.cpp moc_departureswindow.cpp moc_routesearchwindow.cpp moc_aboutdialog.cpp
moc_trafikantenwindow.cpp: trafikantenwindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) trafikantenwindow.h -o moc_trafikantenwindow.cpp

moc_searchwindow.cpp: searchwindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) searchwindow.h -o moc_searchwindow.cpp

moc_departureswindow.cpp: common.h \
		departureswindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) departureswindow.h -o moc_departureswindow.cpp

moc_routesearchwindow.cpp: common.h \
		routesearchwindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) routesearchwindow.h -o moc_routesearchwindow.cpp

moc_aboutdialog.cpp: aboutdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) aboutdialog.h -o moc_aboutdialog.cpp

compiler_rcc_make_all: qrc_trafikanten.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_trafikanten.cpp
qrc_trafikanten.cpp: trafikanten.qrc \
		images/search.png \
		images/route-pressed.png \
		images/route.png \
		images/recent-pressed.png \
		images/search-pressed.png \
		images/recent.png \
		images/gps.png \
		images/gps-pressed.png
	/usr/bin/rcc -name trafikanten trafikanten.qrc -o qrc_trafikanten.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_trafikantenwindow.h ui_searchwindow.h ui_departureswindow.h ui_routesearchwindow.h ui_aboutdialog.h
compiler_uic_clean:
	-$(DEL_FILE) ui_trafikantenwindow.h ui_searchwindow.h ui_departureswindow.h ui_routesearchwindow.h ui_aboutdialog.h
ui_trafikantenwindow.h: trafikantenwindow.ui
	/usr/bin/uic-qt4 trafikantenwindow.ui -o ui_trafikantenwindow.h

ui_searchwindow.h: searchwindow.ui
	/usr/bin/uic-qt4 searchwindow.ui -o ui_searchwindow.h

ui_departureswindow.h: departureswindow.ui
	/usr/bin/uic-qt4 departureswindow.ui -o ui_departureswindow.h

ui_routesearchwindow.h: routesearchwindow.ui
	/usr/bin/uic-qt4 routesearchwindow.ui -o ui_routesearchwindow.h

ui_aboutdialog.h: aboutdialog.ui
	/usr/bin/uic-qt4 aboutdialog.ui -o ui_aboutdialog.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

main.o: main.cpp trafikantenwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

trafikantenwindow.o: trafikantenwindow.cpp trafikantenwindow.h \
		ui_trafikantenwindow.h \
		searchwindow.h \
		routesearchwindow.h \
		common.h \
		aboutdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o trafikantenwindow.o trafikantenwindow.cpp

searchwindow.o: searchwindow.cpp searchwindow.h \
		ui_searchwindow.h \
		departureswindow.h \
		common.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o searchwindow.o searchwindow.cpp

departureswindow.o: departureswindow.cpp departureswindow.h \
		common.h \
		ui_departureswindow.h \
		routesearchwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o departureswindow.o departureswindow.cpp

routesearchwindow.o: routesearchwindow.cpp routesearchwindow.h \
		common.h \
		ui_routesearchwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o routesearchwindow.o routesearchwindow.cpp

aboutdialog.o: aboutdialog.cpp aboutdialog.h \
		ui_aboutdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aboutdialog.o aboutdialog.cpp

moc_trafikantenwindow.o: moc_trafikantenwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_trafikantenwindow.o moc_trafikantenwindow.cpp

moc_searchwindow.o: moc_searchwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_searchwindow.o moc_searchwindow.cpp

moc_departureswindow.o: moc_departureswindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_departureswindow.o moc_departureswindow.cpp

moc_routesearchwindow.o: moc_routesearchwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_routesearchwindow.o moc_routesearchwindow.cpp

moc_aboutdialog.o: moc_aboutdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_aboutdialog.o moc_aboutdialog.cpp

qrc_trafikanten.o: qrc_trafikanten.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_trafikanten.o qrc_trafikanten.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_translation: first FORCE
