## trafikanten 1.0.4-0

=== debian/changelog ===
trafikanten (1:1.0.4-0) unstable; urgency=low

  * Made necessary changes to push package to Ovi Store.

 -- Svenn-Arne Dragly <s@dragly.com>  Fri, 31 Dec 2010 15:56:00 +0200
